# PetscViewerBinaryMatlabOutputVec

Output a Vec object to the viewer and write matlab code to the info file to read a (non-DA) Vec from binary.

### Synopsis

    #undef __FUNCT__
    #define __FUNCT__ "PetscViewerBinaryMatlabOutputVec"
    PetscErrorCode PetscViewerBinaryMatlabOutputVec(PetscViewer viewer, const char name[], Vec vec)

### Input Parameters

| viewer | - The viewer object
| name | - The name of the field variable to be written
| vec | - The Vec containing the field data

### See Also

PetscViewerBinaryMatlabOpen(), PetscViewerBinaryMatlabOutputBag(), PetscViewerBinaryMatlabOutputVecDA()

Level:intermediate
Location: src/dm/da/utils/binaryMatlab.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages